beam-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bhule...@apache.org
Subject [beam] 01/01: Remove py 2 and 3.5 from programming guide
Date Mon, 07 Dec 2020 23:08:02 GMT
This is an automated email from the ASF dual-hosted git repository.

bhulette pushed a commit to branch TheNeuralBit-patch-2
in repository https://gitbox.apache.org/repos/asf/beam.git

commit f381a3d5c4f6575291b280931b7fba2aef846fb5
Author: Brian Hulette <bhulette@google.com>
AuthorDate: Mon Dec 7 15:07:20 2020 -0800

    Remove py 2 and 3.5 from programming guide
---
 website/www/site/content/en/documentation/programming-guide.md | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/website/www/site/content/en/documentation/programming-guide.md b/website/www/site/content/en/documentation/programming-guide.md
index 3eee8fe..477152c 100644
--- a/website/www/site/content/en/documentation/programming-guide.md
+++ b/website/www/site/content/en/documentation/programming-guide.md
@@ -31,7 +31,7 @@ how to implement Beam concepts in your pipelines.
 {{< language-switcher java py >}}
 
 {{< paragraph class="language-py" >}}
-The Python SDK supports Python 2.7, 3.5, 3.6, and 3.7. New Python SDK releases will stop
supporting Python 2.7 in 2020 ([BEAM-8371](https://issues.apache.org/jira/browse/BEAM-8371)).
For best results, use Beam with Python 3.
+The Python SDK supports Python 3.6, 3.7, and 3.8. Beam 2.24.0 was the last Python SDK release
to support Python 2 and 3.5.
 {{< /paragraph >}}
 
 ## 1. Overview {#overview}


Mime
View raw message